TIMEDATECTL(1)

BEZEICHNUNG
timedatectl - Systemdatum und -uhrzeit steuern

ÜBERSICHT

timedatectl [OPTIONEN…] {BEFEHL}

BESCHREIBUNG

timedatectl kann zur Abfrage und Änderung der Systemuhr und ihrer Einstellungen sowie zur (De)aktivierung der Zeitsynchronisationsdienste verwandt werden.

Verwenden Sie systemd-firstboot(1), um die Systemzeitzone für eingehängte (aber nicht gestartete) System-Abbilder zu initialisieren.

timedatectl kann zur Anzeige des aktuellen Status von Zeitsynchronisationsdiensten wie beispielsweise systemd-timesyncd.service(8) verwandt werden.

BEFEHLE

Die folgenden Befehle werden verstanden:

status
    Zeigt die aktuellen Einstellungen der Systemuhr und der RTC an, einschließlich der Tatsache, ob Netzwerkzeitsynchronisation aktiv ist. Falls kein Befehl festgelegt ist, ist dies die implizite Vorgabe.

show
    Zeigt die gleichen Informationen wie status, aber in maschinenlesbarer Form. Dieser Befehl kann immer dann eingesetzt werden, wenn eine Computer-auswertbare Ausgabe benötigt wird. Verwenden Sie status, wenn Sie menschenlesbare, formatierte Ausgabe wünschen.

    Standardmäßig werden leere Eigenschaften unterdrückt. Verwenden Sie --all, um diese auch anzuzeigen. Um die anzuzeigenden Eigenschaften auszuwählen, verwenden Sie --property=.

set-time [ZEIT]
    Setzt die Systemuhr auf die festgelegte Zeit. Dies wird auch die RTC-Zeit entsprechend aktualisieren. Die Zeit kann im Format »2012-10-30 18:17:16« festgelegt werden.

set-timezone [ZEITZONE]
    Setzt die Systemzeitzone auf den festgelegten Wert. Verfügbare Zeitzonen können mit list-timezones aufgelistet werden. Falls die RTC konfiguriert wurde, in der lokalen Zeit zu sein, wird dies auch die RTC-Zeit aktualisieren. Dieser Aufruf wird den Symlink /etc/localtime ändern. Siehe localtime(5) für weitere Informationen.

list-timezones
    Listet die verfügbaren Zeitzonen, eine pro Zeile, auf. Einträge aus dieser Liste können mit set-timezone als Systemzeitzone gesetzt werden.

set-local-rtc [LOGISCH]
    Akzeptiert ein logisches Argument. Falls »0«, ist das System konfiguriert, die RTC in Weltzeit zu halten. Falls »1«, wird es die RTC stattdessen in lokaler Zeit halten. Beachten Sie, dass das Halten der RTC in der lokalen Zeitzone nicht vollständig unterstützt und verschiedene Probleme bei Zeitzonenänderungen und Sommerzeitanpassungen hervorrufen wird. Falls irgendwie möglich, halten Sie die RTC im UTC-Modus. Beachten Sie, dass dieser Aufruf auch die RTC aus der Systemuhr synchronisieren wird, außer --adjust-system-clock wird übergeben (siehe oben). Wie in hwclock(8) dokumentiert, wird dieser Befehl die dritte Zeile von /etc/adjtime ändern.

set-ntp [LOGISCH]
    Akzeptiert ein logisches Argument. Steuert, ob Netzwerkzeitsynchronisation aktiviert und aktiv ist (falls verfügbar). Falls das Argument wahr ist, aktiviert und startet dies den ersten bestehenden Netzwerksynchronisationsdienst. Falls das Argument falsch ist, dann deaktiviert und stoppt dies alle bekannten Netzwerksynchronisationsdienste. Die Art, wie die Liste der Dienste aufgebaut wird, ist nachfolgend beschrieben.

  systemd-timesyncd-Befehle

Die folgenden Befehle sind für systemd-timesyncd.service(8) spezifisch.

timesync-status
    Zeigt den aktuellen Status von systemd-timesyncd.service(8). Falls --monitor festgelegt ist, dann wird dies die Statusaktualisierungen überwachen.

show-timesync
    Zeigt die gleichen Informationen wie timesync-status, aber in maschinenlesbarer Form. Dieser Befehl kann immer dann eingesetzt werden, wenn eine Computer-auswertbare Ausgabe benötigt wird. Verwenden Sie timesync-status, wenn Sie menschenlesbare, formatierte Ausgabe wünschen.

    Standardmäßig werden leere Eigenschaften unterdrückt. Verwenden Sie --all, um diese auch anzuzeigen. Um die anzuzeigenden Eigenschaften auszuwählen, verwenden Sie --property=.

ntp-servers SCHNITTSTELLE SERVER…
    Setzt die für die NTP-Dienste spezifische Schnittstelle. Dieser Befehl kann nur verwandt werden, wenn die Schnittstelle durch systemd-networkd verwaltet wird.

revert SCHNITTSTELLE
    Nimmt die schnittstellenspezifischen NTP-Server zurück. Dieser Befehl kann nur verwandt werden, wenn die Schnittstelle durch systemd-networkd verwaltet wird.

OPTIONEN

Die folgenden Optionen werden verstanden:

--no-ask-password
    Den Benutzer nicht für Authentifizierung für privilegierte Aktionen befragen.

--adjust-system-clock
    Falls set-local-rtc aufgerufen und diese Option übergeben wird, wird die Systemuhr von der RTC (Echtzeituhr, »Real Time Clock«) erneut synchronisiert. Dabei werden die neuen Einstellungen berücksichtigt. Andernfalls wird die RTC von der Systemuhr synchronisiert.

--monitor
    Falls timesync-status aufgerufen und diese Option übergeben wird, dann überwacht timedatectl den Status von systemd-timesyncd.service(8) und aktualisiert die Ausgaben. Verwenden Sie Strg+C, um die Überwachung zu beenden.

-a, --all
    Beim Zeigen der Eigenschaften von systemd-timesyncd.service(8) werden alle Eigenschaften unabhängig davon, ob sie gesetzt sind oder nicht, angezeigt.

-p, --property=
    Beim Anzeigen der Eigenschaften von systemd-timesyncd.service(8) wird die Anzeige auf bestimmte, als Argument festgelegte Eigenschaften begrenzt. Falls nicht angegeben, werden alle gesetzten Eigenschaften angezeigt. Das Argument sollte ein Eigenschaftsname wie »ServerName« sein. Falls mehr als einmal festgelegt, werden alle Eigenschaften mit den festgelegten Namen angezeigt.

--value
    Wenn Eigenschaften mit show-timesync ausgegeben werden, wird nur der Wert ausgegeben und der Eigenschaftsname und »=« übersprungen.

-H, --host=
    Führt die Aktion aus der Ferne aus. Geben Sie den Rechnernamen oder einen Benutzernamen und Rechnernamen (getrennt durch »@«) an, zu dem verbunden werden soll. Dem Rechnernamen darf optional ein Port, auf dem SSH auf Anfragen wartet, getrennt durch »:« und dann ein Container auf dem festgelegten Host angehängt werden, womit direkt zu einem bestimmten Container auf dem angegebenen Rechner verbunden wird. Dies verwendet SSH, um mit der Maschinen-Verwalterinstanz auf dem Rechner in der Ferne zu kommunizieren. Container-Namen dürfen mit machinectl -H RECHNER aufgezählt werden. Stellen Sie IPv6-Adressen in Klammern.

-M, --machine=
    Führt die Aktion in einem lokalen Container aus. Geben Sie den Namen des Containers an, zu dem verbunden werden soll.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

--no-pager
    Die Ausgabe nicht an ein Textanzeigeprogramm weiterleiten.

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

UMGEBUNGSVARIABLEN

$SYSTEMD_PAGER
    Zu verwendendes Textanzeigeprogramm, wenn --no-pager nicht angegeben ist, setzt $PAGER außer Kraft. Falls weder $SYSTEMD_PAGER noch $PAGER gesetzt sind, wird eine Reihe wohlbekannter Textanzeigeprogrammimplementierungen der Reihe nach ausprobiert, einschließlich less(1) und more(1), bis eines gefunden wird. Falls keine Textanzeigeprogrammimplementierung gefunden wird, wird keines aufgerufen. Setzen der Umgebungsvariablen auf die leere Zeichenkette oder den Wert »cat« ist äquivalent zur Übergabe von --no-pager.

$SYSTEMD_LESS
    Setzt die an less übergebenen Optionen (standardmäßig »FRSXMK«) außer Kraft.

    Benutzer könnten insbesondere zwei Optionen ändern wollen:

    K
        Diese Option weist den Seitenbetrachter an, sich sofort beim Druck von Strg-C zu beenden. Um less die Handhabung von Strg-C selbst zum Umschalten auf die Eingabeaufforderung zu erlauben, setzen Sie diese Option zurück.

        Falls der Wert von $SYSTEMD_LESS kein »K« enthält und less das aufgerufene Textanzeigeprogramm ist, wird Strg+C durch das Programm ignoriert und muss durch das Textanzeigeprogramm selbst gehandhabt werden.

    X
        Diese Option weist den Seitenbetrachter an, keine Termcap-Initialisierungs- und -Deinitalisierungszeichenketten an das Terminal zu senden. Dies ist standardmäßig gesetzt, damit die Darstellung von Befehlen selbst nach dem Beenden des Seitenanzeigeprogramms sichtbar bleibt. Allerdings verhindert dies, dass ein Teil der Funktionalität des Seitenbetrachtungsprogramms funktioniert, insbesondere kann die Ausgabe des Seitenbetrachtungsprogramms nicht mit der Maus durchlaufen werden.

    Siehe less(1) für weitere Ausführungen.

$SYSTEMD_LESSCHARSET
    Setzt den an less übergebenen Zeichensatz (standardmäßig »utf-8«, falls das aufrufende Terminal als UTF-8-kompatibel erkannt wurde) außer Kraft.

$SYSTEMD_COLORS
    Dies muss ein logischer Wert sein. Er steuert, ob farbige Ausgabe erstellt werden soll. Dies kann festgelegt werden, um die Entscheidung, die systemd basierend auf $TERM und der Art der angebundenen Konsole trifft, außer Kraft zu setzen.

$SYSTEMD_URLIFY
    Dies muss ein logischer Wert sein. Er steuert, ob anklickbare Links für Terminal-Emulatoren, die dies unterstützen, erstellt werden sollen. Dies kann festgelegt werden, um die Entscheidung, die systemd basierend auf $TERM und anderen Bedingungen trifft, außer Kraft zu setzen.

BEISPIELE

Aktuelle Einstellungen anzeigen:

    $ timedatectl
                   Local time: Thu 2017-09-21 16:08:56 CEST
               Universal time: Thu 2017-09-21 14:08:56 UTC
                     RTC time: Thu 2017-09-21 14:08:56
                    Time zone: Europe/Warsaw (CEST, +0200)
    System clock synchronized: yes
                  NTP service: active
              RTC in local TZ: no

Netzwerkzeitsynchronisierung aktivieren:

    $ timedatectl set-ntp true
    ==== AUTHENTICATING FOR org.freedesktop.timedate1.set-ntp ===
    Authentication is required to control whether network time synchronization shall be enabled.
    Authenticating as: user
    Password: ********
    ==== AUTHENTICATION COMPLETE ===

    $ systemctl status systemd-timesyncd.service
    â systemd-timesyncd.service - Network Time Synchronization
       Loaded: loaded (/lib/systemd/system/systemd-timesyncd.service; enabled)
       Active: active (running) since Mo 2015-03-30 14:20:38 CEST; 5s ago
         Docs: man:systemd-timesyncd.service(8)
     Main PID: 595 (systemd-timesyn)
       Status: "Using Time Server 216.239.38.15:123 (time4.google.com)."
       CGroup: /system.slice/systemd-timesyncd.service
               ââ595 /lib/systemd/systemd-timesyncd
    ...

Zeigt aktuellen Status von systemd-timesyncd.service(8):

    $ timedatectl timesync-status
           Server: 216.239.38.15 (time4.google.com)
    Poll interval: 1min 4s (min: 32s; max 34min 8s)
             Leap: normal
          Version: 4
          Stratum: 1
        Reference: GPS
        Precision: 1us (-20)
    Root distance: 335us (max: 5s)
           Offset: +316us
            Delay: 349us
           Jitter: 0
     Packet count: 1
        Frequency: -8.802ppm

SIEHE AUCH

systemd(1), hwclock(8), date(1), localtime(5), systemctl(1), systemd-timedated.service(8), systemd-timesyncd.service(8), systemd-firstboot(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.